let
  pkgs = import <nixpkgs> { };
  hpkgs = pkgs.haskellPackages;
in
  hpkgs.mkDerivation {
    pname = "oama";
    version = "0.13.3";
    src = pkgs.fetchgit {
      url = "https://github.com/pdobsan/oama.git";
      rev = "refs/tags/0.13.3";
      hash = "sha256-6/Bx8CwBhpjHBVWT5XqrPDVIKAq/hNwo2oildl513UI=";
    };

    isLibrary = true;
    isExecutable = true;
    libraryHaskellDepends = with hpkgs; [
      aeson base bytestring containers directory hsyslog http-conduit
      network-uri optparse-applicative pretty-simple process string-qq
      strings text time twain unix utf8-string warp yaml
    ];
    executableHaskellDepends = with hpkgs; [
      aeson base bytestring containers directory hsyslog http-conduit
      network-uri optparse-applicative pretty-simple process string-qq
      strings text time twain unix utf8-string warp yaml
    ];

    mainProgram = "oama";
    license = pkgs.lib.licenses.bsd3;
  }
